/*

*/

import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

/**
   This class has the responsibility of holding the data
   that determines the state of our graphics program.

   An event handler object of our graphics program will
   update an instance of this class whenever an appropriate
   event occurs.

   The graphics panel object of our graphics program will
   examine an instance of this object to retrieve the
   data needed to draw the program's current.
*/
public class CircleState
{
   public boolean inside = false;
   public int diameter = 20;
   public int xNew = 300; // where the circle needs to be
   public int yNew = 300;
   public List<Point> trail = new ArrayList<>();
}
